"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSlot = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const ColorPicker_1 = __importDefault(require("@jbrowse/core/ui/ColorPicker"));
const material_1 = require("@mui/material");
const mobx_react_1 = require("mobx-react");
const ColorSlot = (props) => {
    const { value = '#000', label = '', TextFieldProps = {}, onChange } = props;
    const [displayed, setDisplayed] = (0, react_1.useState)(false);
    return ((0, jsx_runtime_1.jsxs)("div", { style: { display: 'flex' }, children: [(0, jsx_runtime_1.jsx)(material_1.TextField, { value: value, label: label, onClick: () => {
                    setDisplayed(!displayed);
                }, onChange: event => {
                    onChange(event.target.value);
                }, ...TextFieldProps }), (0, jsx_runtime_1.jsx)("div", { style: { marginTop: 10 }, children: (0, jsx_runtime_1.jsx)(react_1.Suspense, { fallback: null, children: (0, jsx_runtime_1.jsx)(ColorPicker_1.default, { color: value, onChange: event => {
                            onChange(event);
                        } }) }) })] }));
};
exports.ColorSlot = ColorSlot;
const ColorEditor = (0, mobx_react_1.observer)(function (props) {
    const { slot } = props;
    return ((0, jsx_runtime_1.jsx)(exports.ColorSlot, { label: slot.name, value: slot.value, onChange: color => {
            slot.set(color);
        }, TextFieldProps: {
            helperText: slot.description,
            fullWidth: true,
        } }));
});
exports.default = ColorEditor;
