"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const mobx_react_1 = require("mobx-react");
const mobx_state_tree_1 = require("mobx-state-tree");
const HeadingComponent = (0, mobx_react_1.observer)(function ({ model, }) {
    if (model === null || model === void 0 ? void 0 : model.target) {
        if (model.target.type) {
            return `${model.target.type} settings`;
        }
        if ((0, mobx_state_tree_1.isStateTreeNode)(model.target)) {
            const type = (0, mobx_state_tree_1.getType)(model.target);
            if (type.name) {
                return `${type.name.replace('ConfigurationSchema', '')} settings`;
            }
        }
    }
    return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: "Settings" });
});
exports.default = HeadingComponent;
