"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const configuration_1 = require("@jbrowse/core/configuration");
function x() { }
const NcbiSequenceReportAliasAdapterConfigSchema = (0, configuration_1.ConfigurationSchema)('NcbiSequenceReportAliasAdapter', {
    location: {
        type: 'fileLocation',
        defaultValue: {
            uri: '/path/to/my/sequence_report.tsv',
            locationType: 'UriLocation',
        },
    },
    useNameOverride: {
        type: 'boolean',
        defaultValue: true,
        description: 'forces usage of the UCSC names over the NCBI style names from a FASTA',
    },
}, {
    explicitlyTyped: true,
    preProcessSnapshot: snap => {
        return snap.uri
            ? {
                ...snap,
                location: {
                    uri: snap.uri,
                    baseUri: snap.baseUri,
                },
            }
            : snap;
    },
});
exports.default = NcbiSequenceReportAliasAdapterConfigSchema;
