"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const configuration_1 = require("@jbrowse/core/configuration");
function x() { }
const RefNameAliasAdapter = (0, configuration_1.ConfigurationSchema)('RefNameAliasAdapter', {
    location: {
        type: 'fileLocation',
        defaultValue: {
            uri: '/path/to/my/aliases.txt',
            locationType: 'UriLocation',
        },
    },
    refNameColumn: {
        type: 'number',
        defaultValue: 0,
    },
    refNameColumnHeaderName: {
        type: 'string',
        description: 'alternative to refNameColumn, instead looks at header (starts with # and finds column name)',
        defaultValue: '',
    },
}, {
    explicitlyTyped: true,
    preProcessSnapshot: snap => {
        return snap.uri
            ? {
                ...snap,
                location: {
                    uri: snap.uri,
                    baseUri: snap.baseUri,
                },
            }
            : snap;
    },
});
exports.default = RefNameAliasAdapter;
