"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationEditor = void 0;
const react_1 = require("react");
const Plugin_1 = __importDefault(require("@jbrowse/core/Plugin"));
const ConfigurationEditorWidget_1 = __importDefault(require("./ConfigurationEditorWidget"));
const FromConfigAdapter_1 = __importDefault(require("./FromConfigAdapter"));
const FromConfigRegionsAdapter_1 = __importDefault(require("./FromConfigRegionsAdapter"));
const FromConfigSequenceAdapter_1 = __importDefault(require("./FromConfigSequenceAdapter"));
const NcbiSequenceReportAliasAdapter_1 = __importDefault(require("./NcbiSequenceReportAliasAdapter"));
const RefNameAliasAdapter_1 = __importDefault(require("./RefNameAliasAdapter"));
const LazyConfigurationEditorComponent = (0, react_1.lazy)(() => Promise.resolve().then(() => __importStar(require('./ConfigurationEditorWidget/components/ConfigurationEditor'))));
exports.ConfigurationEditor = LazyConfigurationEditorComponent;
class ConfigurationPlugin extends Plugin_1.default {
    constructor() {
        super(...arguments);
        this.name = 'ConfigurationPlugin';
    }
    install(pluginManager) {
        (0, FromConfigAdapter_1.default)(pluginManager);
        (0, FromConfigRegionsAdapter_1.default)(pluginManager);
        (0, FromConfigSequenceAdapter_1.default)(pluginManager);
        (0, RefNameAliasAdapter_1.default)(pluginManager);
        (0, ConfigurationEditorWidget_1.default)(pluginManager);
        (0, NcbiSequenceReportAliasAdapter_1.default)(pluginManager);
    }
}
exports.default = ConfigurationPlugin;
