import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Suspense, useState } from 'react';
import ColorPicker from '@jbrowse/core/ui/ColorPicker';
import { TextField } from '@mui/material';
import { observer } from 'mobx-react';
export const ColorSlot = (props) => {
    const { value = '#000', label = '', TextFieldProps = {}, onChange } = props;
    const [displayed, setDisplayed] = useState(false);
    return (_jsxs("div", { style: { display: 'flex' }, children: [_jsx(TextField, { value: value, label: label, onClick: () => {
                    setDisplayed(!displayed);
                }, onChange: event => {
                    onChange(event.target.value);
                }, ...TextFieldProps }), _jsx("div", { style: { marginTop: 10 }, children: _jsx(Suspense, { fallback: null, children: _jsx(ColorPicker, { color: value, onChange: event => {
                            onChange(event);
                        } }) }) })] }));
};
const ColorEditor = observer(function (props) {
    const { slot } = props;
    return (_jsx(ColorSlot, { label: slot.name, value: slot.value, onChange: color => {
            slot.set(color);
        }, TextFieldProps: {
            helperText: slot.description,
            fullWidth: true,
        } }));
});
export default ColorEditor;
