import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { observer } from 'mobx-react';
import { getType, isStateTreeNode } from 'mobx-state-tree';
const HeadingComponent = observer(function ({ model, }) {
    if (model === null || model === void 0 ? void 0 : model.target) {
        if (model.target.type) {
            return `${model.target.type} settings`;
        }
        if (isStateTreeNode(model.target)) {
            const type = getType(model.target);
            if (type.name) {
                return `${type.name.replace('ConfigurationSchema', '')} settings`;
            }
        }
    }
    return _jsx(_Fragment, { children: "Settings" });
});
export default HeadingComponent;
