import { jsx as _jsx } from "react/jsx-runtime";
import { MenuItem, Paper, TextField } from '@mui/material';
import { observer } from 'mobx-react';
import { useSlotEditorStyles } from './useSlotEditorStyles';
const TypeSelector = observer(function ({ typeNameChoices, slot, slotName, onChange, }) {
    const { classes } = useSlotEditorStyles();
    return (_jsx(Paper, { className: classes.paper, children: _jsx("div", { className: classes.paperContent, children: _jsx(TextField, { value: slot.type, label: "Type", select: true, helperText: `Type of ${slotName} to use`, fullWidth: true, onChange: onChange, children: typeNameChoices.map(str => (_jsx(MenuItem, { value: str, children: str }, str))) }) }) }));
});
export default TypeSelector;
