import { lazy } from 'react';
import { ConfigurationSchema } from '@jbrowse/core/configuration';
import { WidgetType } from '@jbrowse/core/pluggableElementTypes';
import HeadingComponent from './components/HeadingComponent';
import stateModelFactory from './model';
const configSchema = ConfigurationSchema('ConfigurationEditorWidget', {});
const LazyConfigurationEditorComponent = lazy(() => import('./components/ConfigurationEditor'));
export default function registerConfigurationEditorWidget(pluginManager) {
    pluginManager.addWidgetType(() => {
        return new WidgetType({
            name: 'ConfigurationEditorWidget',
            HeadingComponent,
            configSchema,
            stateModel: stateModelFactory(pluginManager),
            ReactComponent: LazyConfigurationEditorComponent,
        });
    });
}
