import { BaseFeatureDataAdapter } from '@jbrowse/core/data_adapters/BaseAdapter';
import type PluginManager from '@jbrowse/core/PluginManager';
import type { AnyConfigurationModel } from '@jbrowse/core/configuration';
import type { getSubAdapterType } from '@jbrowse/core/data_adapters/dataAdapterCache';
import type { Feature, SimpleFeatureSerialized } from '@jbrowse/core/util/simpleFeature';
import type { NoAssemblyRegion } from '@jbrowse/core/util/types';
export declare function makeFeatures(fdata: SimpleFeatureSerialized[]): Map<string, Feature[]>;
export default class FromConfigAdapter extends BaseFeatureDataAdapter {
    protected features: Map<string, Feature[]>;
    constructor(conf: AnyConfigurationModel, getSubAdapter?: getSubAdapterType, pluginManager?: PluginManager);
    getRefNames(): Promise<string[]>;
    getRefNameAliases(): Promise<{
        refName: string;
        aliases: any;
    }[]>;
    getFeatures(region: NoAssemblyRegion): import("rxjs").Observable<Feature>;
}
