import { ConfigurationSchema } from '@jbrowse/core/configuration';
function x() { }
const RefNameAliasAdapter = ConfigurationSchema('RefNameAliasAdapter', {
    location: {
        type: 'fileLocation',
        defaultValue: {
            uri: '/path/to/my/aliases.txt',
            locationType: 'UriLocation',
        },
    },
    refNameColumn: {
        type: 'number',
        defaultValue: 0,
    },
    refNameColumnHeaderName: {
        type: 'string',
        description: 'alternative to refNameColumn, instead looks at header (starts with # and finds column name)',
        defaultValue: '',
    },
}, {
    explicitlyTyped: true,
    preProcessSnapshot: snap => {
        return snap.uri
            ? {
                ...snap,
                location: {
                    uri: snap.uri,
                    baseUri: snap.baseUri,
                },
            }
            : snap;
    },
});
export default RefNameAliasAdapter;
